apiVersion: extensions/v1beta1
# ===============LICENSE_START=======================================================
# Graphene Apache-2.0
# ===================================================================================
# Copyright (C) 2019 AT&T Intellectual Property. All rights reserved.
# ===================================================================================
# This Graphene software file is distributed by AT&T
# under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# This file is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ===============LICENSE_END=========================================================
kind: Ingress
metadata:
  namespace: <GRAPHENE_NAMESPACE>
  name: kong-ingress
  annotations:
    kubernetes.io/ingress.class: nginx
spec:
  tls:
  - hosts:
    - <GRAPHENE_DOMAIN>
    secretName: ingress-cert
  rules:
  - host: <GRAPHENE_DOMAIN>
    http:
      paths:
      - path: "/"
        backend:
          serviceName: kong-service
          servicePort: 8000
